Nova flavor ephemeral space size reported incorrectly

Bug #1026210 reported by David Besen on 2012-07-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
David Besen
Essex
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

I installed a devstack instance yesterday (nova git version acb158714c562d3142bf2f3f560dc374daa2df7d).

If you create a flavor, then delete it, and create a new one with the same ID, the ephemeral space is wrong:

stack@dave-os-devstack:~$ nova flavor-create --ephemeral 1000 flavor1 10 1000 1000 1000
Please input your password for the keyring
+----+---------+-----------+------+-----------+------+-------+-------------+
| ID | Name | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor |
+----+---------+-----------+------+-----------+------+-------+-------------+
| 10 | flavor1 | 1000 | 1000 | 1000 | | 1000 | 1 |
+----+---------+-----------+------+-----------+------+-------+-------------+
stack@dave-os-devstack:~$ nova flavor-list
Please input your password for the keyring
+----+-----------+-----------+------+-----------+------+-------+-------------+
| ID | Name | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor |
+----+-----------+-----------+------+-----------+------+-------+-------------+
| 1 | m1.tiny | 512 | 0 | 0 | | 1 | 1.0 |
| 2 | m1.small | 2048 | 20 | 0 | | 1 | 1.0 |
| 3 | m1.medium | 4096 | 40 | 0 | | 2 | 1.0 |
| 4 | m1.large | 8192 | 80 | 0 | | 4 | 1.0 |
| 5 | m1.xlarge | 16384 | 160 | 0 | | 8 | 1.0 |
| 10 | flavor1 | 1000 | 1000 | 1000 | | 1000 | 1.0 |
+----+-----------+-----------+------+-----------+------+-------+-------------+
stack@dave-os-devstack:~$ nova flavor-delete 10
Please input your password for the keyring
stack@dave-os-devstack:~$ nova flavor-list
Please input your password for the keyring
+----+-----------+-----------+------+-----------+------+-------+-------------+
| ID | Name | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor |
+----+-----------+-----------+------+-----------+------+-------+-------------+
| 1 | m1.tiny | 512 | 0 | 0 | | 1 | 1.0 |
| 2 | m1.small | 2048 | 20 | 0 | | 1 | 1.0 |
| 3 | m1.medium | 4096 | 40 | 0 | | 2 | 1.0 |
| 4 | m1.large | 8192 | 80 | 0 | | 4 | 1.0 |
| 5 | m1.xlarge | 16384 | 160 | 0 | | 8 | 1.0 |
+----+-----------+-----------+------+-----------+------+-------+-------------+
stack@dave-os-devstack:~$ nova flavor-create --ephemeral 2000 flavor2 10 1000 1000 1000
Please input your password for the keyring
+----+---------+-----------+------+-----------+------+-------+-------------+
| ID | Name | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor |
+----+---------+-----------+------+-----------+------+-------+-------------+
| 10 | flavor2 | 1000 | 1000 | 1000 | | 1000 | 1 |
+----+---------+-----------+------+-----------+------+-------+-------------+
stack@dave-os-devstack:~$ nova flavor-list
Please input your password for the keyring
+----+-----------+-----------+------+-----------+------+-------+-------------+
| ID | Name | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor |
+----+-----------+-----------+------+-----------+------+-------+-------------+
| 1 | m1.tiny | 512 | 0 | 0 | | 1 | 1.0 |
| 2 | m1.small | 2048 | 20 | 0 | | 1 | 1.0 |
| 3 | m1.medium | 4096 | 40 | 0 | | 2 | 1.0 |
| 4 | m1.large | 8192 | 80 | 0 | | 4 | 1.0 |
| 5 | m1.xlarge | 16384 | 160 | 0 | | 8 | 1.0 |
| 10 | flavor2 | 1000 | 1000 | 1000 | | 1000 | 1.0 |
+----+-----------+-----------+------+-----------+------+-------+-------------+

Note the ephemeral number in the last list is 1000. It should be 2000, the number used to create the flavor.

This only seems to happen with the ephemeral number. The other numbers are fine.

Fix proposed to branch: master
Review: https://review.openstack.org/9995

Changed in nova:
assignee: nobody → David Besen (david-besen)
status: New → In Progress

Reviewed: https://review.openstack.org/9995
Committed: http://github.com/openstack/nova/commit/153c40ea1a026de17872c907ea543ea80bf5a074
Submitter: Jenkins
Branch: master

commit 153c40ea1a026de17872c907ea543ea80bf5a074
Author: David Besen <email address hidden>
Date: Wed Jul 18 16:27:27 2012 -0600

    Make flavorextradata ignore deleted flavors.

    In _get_flavor_refs, don't retrieve inactive flavors. Fixes bug 1026210.

    Change-Id: I7c5d7848d2d1326d01770195e1c8a754bb673a7a

Changed in nova:
status: In Progress → Fix Committed
tags: added: essex-backport
Thierry Carrez (ttx) on 2012-08-16
Changed in nova:
milestone: none → folsom-3
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/11034
Committed: http://github.com/openstack/nova/commit/2f35f8ec54d303dc48040c46cb950c7fbff9731e
Submitter: Jenkins
Branch: stable/essex

commit 2f35f8ec54d303dc48040c46cb950c7fbff9731e
Author: David Besen <email address hidden>
Date: Wed Aug 8 10:35:32 2012 -0600

    Make flavorextradata ignore deleted flavors.

    In _get_flavor_refs, don't retrieve inactive flavors. Fixes bug 1026210.

    This change was made on trunk in https://review.openstack.org/#/c/9995/

    Change-Id: I967faa661cd4177a54079a966ca8912923c5f61b

tags: added: in-stable-essex
Thierry Carrez (ttx) on 2012-09-27
Changed in nova:
milestone: folsom-3 → 2012.2
Changed in nova (Ubuntu):
status: New → Fix Released

Hello David, or anyone else affected,

Accepted nova into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/2012.1.3+stable-20130423-e52e6912-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Nova has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/9995
Stable review: https://review.openstack.org/11034

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Yolanda Robla (yolanda.robla) wrote :

Test coverage log.

Yolanda Robla (yolanda.robla) wrote :

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Nova has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/9995
Stable review: https://review.openstack.org/11034

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Yolanda Robla (yolanda.robla) wrote :

Test coverage log.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2012.1.3+stable-20130423-e52e6912-0ubuntu1

---------------
nova (2012.1.3+stable-20130423-e52e6912-0ubuntu1) precise-proposed; urgency=low

  * Resynchronize with stable/essex (e52e6912) (LP: #1089488):
    - [48e81f1] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [3bf5a58] snat rule too broad for some network configurations LP: 1048765
    - [efaacda] DOS by allocating all fixed ips LP: 1125468
    - [b683ced] Add nosehtmloutput as a test dependency.
    - [45274c8] Nova unit tests not running, but still passing for stable/essex
      LP: 1132835
    - [e02b459] vnc unit-test fixes
    - [87361d3] Jenkins jobs fail because of incompatibility between sqlalchemy-
      migrate and the newest sqlalchemy-0.8.0b1 (LP: #1073569)
    - [e98928c] VNC proxy can be made to connect to wrong VM LP: 1125378
    - [c0a10db] DoS through XML entity expansion (CVE-2013-1664) LP: 1100282
    - [243d516] No authentication on block device used for os-volume_boot
      LP: 1069904
    - [80fefe5] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [bd10241] Essex 2012.1.3 : Error deleting instance with 2 Nova Volumes
      attached (LP: #1079745)
    - [86a5937] do_refresh_security_group_rules in nova.virt.firewall is very
      slow (LP: #1062314)
    - [ae9c5f4] deallocate_fixed_ip attempts to update an already deleted
      fixed_ip (LP: #1017633)
    - [20f98c5] failed to allocate fixed ip because old deleted one exists
      (LP: #996482)
    - [75f6922] snapshot stays in saving state if the vm base image is deleted
      (LP: #921774)
    - [1076699] lock files may be removed in error dues to permissions issues
      (LP: #1051924)
    - [40c5e94] ensure_default_security_group() does not call sgh (LP: #1050982)
    - [4eebe76] At termination, LXC rootfs is not always unmounted before
      rmtree() is called (LP: #1046313)
    - [47dabb3] Heavily loaded nova-compute instances don't sent reports
      frequently enough (LP: #1045152)
    - [b375b4f] When attach volume lost attach when node restart (LP: #1004791)
    - [4ac2dcc] nova usage-list returns wrong usage (LP: #1043999)
    - [014fcbc] Bridge port's hairpin mode not set after resuming a machine
      (LP: #1040537)
    - [2f35f8e] Nova flavor ephemeral space size reported incorrectly
      (LP: #1026210)
  * Dropped, superseeded by new snapshot:
    - debian/patches/CVE-2013-0335.patch: [48e81f1]
    - debian/patches/CVE-2013-1838.patch: [efaacda]
    - debian/patches/CVE-2013-1664.patch: [c0a10db]
    - debian/patches/CVE-2013-0208.patch: [243d516]
 -- Yolanda <email address hidden> Mon, 22 Apr 2013 12:37:08 +0200

Changed in nova (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers